# $Revision: 1.93 $, $Date: 2009/09/18 11:50:03 $
# TODO:
# - change /net to something FHS-compliant ?
#
# Conditional build:
%bcond_with	ldap	# build LDAP extension module (need port to heimdal)
#
Summary:	autofs daemon
Summary(de.UTF-8):	autofs daemon
Summary(es.UTF-8):	Servidor autofs
Summary(fr.UTF-8):	démon autofs
Summary(pl.UTF-8):	Demon autofs
Summary(pt_BR.UTF-8):	Servidor autofs
Summary(tr.UTF-8):	autofs sunucu süreci
Name:		autofs
Version:	5.0.5
Release:	1
Epoch:		1
License:	GPL v2+
Group:		Daemons
Source0:	ftp://ftp.kernel.org/pub/linux/daemons/autofs/v5/%{name}-%{version}.tar.bz2
# Source0-md5:	a1d262cb6ebef0c2dd0fe22232fb3d5a
Source1:	%{name}.init
Source2:	%{name}-auto.master
Source3:	%{name}-auto.media
Source4:	%{name}-auto.net
Source5:	%{name}.sysconfig
Patch0:		%{name}-open_max.patch
Patch1:		%{name}-makefile.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bind-devel
BuildRequires:	bison
BuildRequires:	e2fsprogs
BuildRequires:	flex
BuildRequires:	heimdal-devel
BuildRequires:	hesiod-devel
BuildRequires:	libxml2-devel
BuildRequires:	mount
%{?with_ldap:BuildRequires:	openldap-devel >= 2.4.6}
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	mktemp
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/autofs
%define		filterout_ld	-Wl,--as-needed

%description
autofs is a daemon which automatically mounts filesystems when you use
them, and unmounts them later when you are not using them. This can
include network filesystems, CD-ROMs, floppies, and so forth.

%description -l de.UTF-8
autofs ist ein Dämon, der Dateisysteme automatisch montiert, wenn sie
benutzt werden, und sie später bei Nichtbenutzung wieder demontiert.
Dies kann Netz-Dateisysteme, CD-ROMs, Disketten und ähnliches
einschließen.

%description -l es.UTF-8
Autofs es un servidor que monta automáticamente sistemas de archivos
cuando los usa, y los desmonta, más tarde, al terminar de usarlos.
Incluyendo sistemas de archivo en red, CD-ROMS, disquetes, etc.

%description -l fr.UTF-8
autofs est un démon qui monte automatiquement les systèmes de fichiers
lorsqu'on les utilise et les démonte lorsqu'on ne les utilise plus.
Cela inclus les systèmes de fichiers réseau, les CD-ROMs, les
disquettes, etc.

%description -l pl.UTF-8
Autofs jest demonem, który montuje automatycznie systemy plików jeżeli
je używasz i odmontowuje później, jeżeli ich nie używasz. Może
montować sieciowy system plików, CD-romy, stacje dyskietek i inne.

%description -l pt_BR.UTF-8
O autofs é um servidor que monta automaticamente sistemas de arquivos
quando estes forem usados, desmontando-os mais tarde quando não
estiverem mais em uso. Incluindo sistemas de arquivo em rede, CD-ROMS,
disquetes, etc.

%description -l tr.UTF-8
autofs, kullanılan dosya sistemlerini gerek olunca kendiliğinden
bağlar ve kullanımları sona erince yine kendiliğinden çözer. Bu işlem,
ağ dosya sistemleri, CD-ROM'lar ve disketler üzerinde yapılabilir.

%package ldap
Summary:	LDAP lookup module for autofs
Summary(pl.UTF-8):	Moduł LDAP dla autofs
Summary(pt_BR.UTF-8):	Suporte a mapas LDAP para o pacote autofs
Group:		Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description ldap
This package contains the autofs module necessary to use automount
maps stored on an LDAP server.

%description ldap -l pl.UTF-8
Ten pakiet zawiera moduł autofs potrzebny do używania map automounta
trzymanych na serwerze LDAP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}

export initdir=/etc/rc.d/init.d
%configure \
	--with-openldap=%{?with_ldap:yes}%{!?with_ldap:no} \
	--enable-force-shutdown=yes \
	--with-confdir=%{_sysconfdir} \
	--with-mapdir=%{_sysconfdir}

%{__make} -j1 \
	initdir=/etc/rc.d/init.d \
	CC="%{__cc}" \
	DAEMON_CFLAGS="-fPIE %{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/misc,/net,%{_sbindir},%{_libdir}/autofs,%{_mandir}/man{5,8}} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,autofs,sysconfig}

%{__make} install \
	INSTALLROOT=$RPM_BUILD_ROOT

install %{SOURCE1}	$RPM_BUILD_ROOT/etc/rc.d/init.d/autofs

install %{SOURCE2}	$RPM_BUILD_ROOT%{_sysconfdir}/auto.master
install %{SOURCE3}	$RPM_BUILD_ROOT%{_sysconfdir}/auto.media
install %{SOURCE4} 	$RPM_BUILD_ROOT%{_sysconfdir}/auto.net
install %{SOURCE5} 	$RPM_BUILD_ROOT/etc/sysconfig/autofs

touch $RPM_BUILD_ROOT%{_sysconfdir}/auto.{home,var,tmp}

# replaced in PLD by auto.media
rm $RPM_BUILD_ROOT%{_sysconfdir}/auto.misc

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add autofs
# triggerpostun would get called after %%post
if [ -f /var/lock/subsys/automount ]; then
	mv /var/lock/subsys/{automount,autofs}
fi
%service autofs restart "autofs daemon"

%preun
if [ "$1" = "0" ]; then
	%service autofs stop
	/sbin/chkconfig --del autofs
fi

%files
%defattr(644,root,root,755)
%doc CHANGELOG CREDITS README*
%dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/autofs
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/autofs
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/auto.home
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/auto.master
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/auto.media
%attr(750,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/auto.net
%attr(750,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/auto.smb
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/auto.tmp
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/auto.var
%attr(754,root,root) /etc/rc.d/init.d/autofs
%attr(755,root,root) %{_sbindir}/automount
%dir /net
%dir %{_libdir}/autofs
%attr(755,root,root) %{_libdir}/autofs/lookup_file.so
%attr(755,root,root) %{_libdir}/autofs/lookup_files.so
%attr(755,root,root) %{_libdir}/autofs/lookup_hesiod.so
%attr(755,root,root) %{_libdir}/autofs/lookup_hosts.so
%attr(755,root,root) %{_libdir}/autofs/lookup_multi.so
%attr(755,root,root) %{_libdir}/autofs/lookup_nis.so
%attr(755,root,root) %{_libdir}/autofs/lookup_nisplus.so
%attr(755,root,root) %{_libdir}/autofs/lookup_program.so
%attr(755,root,root) %{_libdir}/autofs/lookup_userhome.so
%attr(755,root,root) %{_libdir}/autofs/lookup_yp.so
%attr(755,root,root) %{_libdir}/autofs/mount_afs.so
%attr(755,root,root) %{_libdir}/autofs/mount_autofs.so
%attr(755,root,root) %{_libdir}/autofs/mount_bind.so
%attr(755,root,root) %{_libdir}/autofs/mount_changer.so
%attr(755,root,root) %{_libdir}/autofs/mount_ext2.so
%attr(755,root,root) %{_libdir}/autofs/mount_ext3.so
%attr(755,root,root) %{_libdir}/autofs/mount_generic.so
%attr(755,root,root) %{_libdir}/autofs/mount_nfs.so
%attr(755,root,root) %{_libdir}/autofs/mount_nfs4.so
%attr(755,root,root) %{_libdir}/autofs/parse_hesiod.so
%attr(755,root,root) %{_libdir}/autofs/parse_sun.so
%{_mandir}/man[58]/*

%if %{with ldap}
%files ldap
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/autofs_ldap_auth.conf
%attr(755,root,root) %{_libdir}/autofs/lookup_ldap.so
%attr(755,root,root) %{_libdir}/autofs/lookup_ldaps.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: autofs.spec,v $
Revision 1.93  2009/09/18 11:50:03  pluto
- build fixed, release 1.

Revision 1.92  2009/09/18 11:15:28  pluto
- updated to 5.0.5, nfy.

Revision 1.91  2009/09/18 07:12:33  pluto
- invert ldap bcond, release 1.

Revision 1.90  2009/08/29 16:13:54  pluto
- build ldap extension conditionally (this module needs krb5->heimdal conversion).

Revision 1.89  2009/08/29 15:58:09  pluto
- apply patchset.
- single threaded build.

Revision 1.88  2009/07/29 05:48:48  glen
- adapter

Revision 1.87  2009/07/29 05:48:20  glen
- wtf initscript is %config

Revision 1.86  2009/07/11 10:20:11  pluto
- remove obsolete patch.

Revision 1.85  2009/07/02 23:47:22  baggins
- switch to heimdal kerberos

Revision 1.84  2008/11/14 11:18:47  pluto
- enable forced shutdown on USR1 signal, more backends and BRs.

Revision 1.83  2008/11/14 10:09:24  pluto
- cleanup build (TODO: update init script).

Revision 1.82  2008/11/13 10:59:47  pluto
- fetch 5.0.4 tarball.

Revision 1.81  2008/04/17 09:02:37  pluto
- add missed BRs, fix daemon_cflags for amd64, workaround --as-needed breakage.

Revision 1.80  2008-02-10 11:31:28  blues
- 5.0.3 with few official patches. ldap fixes needed

Revision 1.79  2007-12-24 12:10:25  blues
- oops, rel.2 without ac/am regeneration

Revision 1.78  2007-12-24 11:59:39  blues
- rel.1, lets try

Revision 1.77  2007-12-24 11:44:37  blues
- package missing ldap files

Revision 1.76  2007-12-24 11:26:47  blues
- 5.0.2 - NFY

Revision 1.75  2007-11-03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.74  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.73  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.72  2006/09/26 18:54:22  glen
- rel 4

Revision 1.71  2006/06/26 22:05:58  blues
- added official auto.smb-cifs patch. Not really needed.

Revision 1.70  2006/06/26 20:54:35  blues
- moved auto.misc to auto.media; set CC and some flags (maybe more needed).
  Some TODO done, more added, removed /misc directory.

Revision 1.69  2006/05/11 23:06:22  glen
- rel 3

Revision 1.68  2006/02/24 15:20:04  glen
- use %service

Revision 1.67  2006/01/17 19:21:40  blekot
- readded http://www.kernel.org/pub/linux/daemons/autofs/v4/ to Patch{2,3,4,5}

Revision 1.66  2006/01/17 17:50:45  blekot
- patches moved to our cvs

Revision 1.65  2006/01/17 15:11:00  baggins
- release 2
- BR openldap 2.3

Revision 1.64  2005/11/11 18:02:40  blekot
- up to 4.1.4
- TODO added

Revision 1.63  2005/03/06 19:27:26  paszczus
- cleanups

Revision 1.62  2005/03/06 19:24:18  glen
- initscript fixes by Kacper Kornet; rel 2; STBR

Revision 1.61  2004/12/17 21:25:21  sparky
- spanish desc/summary fixes; many just thrown

Revision 1.60  2004/09/23 17:15:58  undefine
- update to 4.1.3 (argh.. nobody use it???)

Revision 1.59  2004/04/14 22:39:05  qboosh
- BR: bind-devel, no // in paths

Revision 1.58  2004/04/14 16:40:33  adamg
- added hesiod-includes.patch

Revision 1.57  2004/04/02 09:00:13  averne
- rel 8 for rebuild with new openldap

Revision 1.56  2004/03/16 14:23:33  averne
- rel7 for rebuild with new openldap

Revision 1.55  2003/08/06 16:31:20  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.54  2003/07/29 15:12:20  qboosh
- more specific Requires

Revision 1.53  2003/06/27 13:10:44  mmazur
- mass commit; now req: name = epoch:version

Revision 1.52  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.51  2003/05/25 05:45:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.50  2002/10/10 11:48:59  marcus
- use new %doc

Revision 1.49  2002/10/09 13:14:17  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.48  2002/05/21 23:12:42  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.47  2002/04/25 15:50:06  arturs
- fixed a small typo

Revision 1.46  2002/03/21 23:01:50  saq
- fixed the init script: typo, added reload (=restart)
- release 6

Revision 1.45  2002/03/21 20:30:18  grzegol
- fixed autofs.init script (s/ps\ ax/ps\ axw/)
- rel. 5
- STBR

Revision 1.44  2002/02/23 01:23:24  kloczek
- adapterized.

Revision 1.43  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.42  2002/01/18 02:12:27  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.41  2001/09/24 09:53:52  qboosh
- Prereq: /sbin/chkconfig

Revision 1.40  2001/09/14 00:33:57  kloczek
- added regenerate ac/am files.

Revision 1.39  2001/09/14 00:15:31  kloczek
- merge translations from CNV.

Revision 1.38  2001/09/13 09:06:35  saq
- BuildRequires openldap-devel
- ldap subpackage introduced
- chmod 755 configure (to allow autoconf overwrite it)
- release 4
- STB

Revision 1.37  2001/08/25 11:52:52  filon
- added using autoconf, ac 2.5 ready

Revision 1.36  2001/08/13 13:18:32  kloczek
- release 3,
- added Epoch: 1 (for allow upgrade from RH version).

Revision 1.35  2001/07/26 16:24:32  saq
- use %configure2_13
- finished transition to new lock name (/var/lock/subsys/autofs)
- release 2
- stb

Revision 1.34  2001/07/26 05:42:04  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.31  2001/07/18 03:42:42  kloczek
- spec adapterized.

Revision 1.30  2001/06/23 12:56:25  blues
- 4.0.0pre10
- 2 patches still not functional

Revision 1.29  2001/02/01 16:27:32  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.28  2001/01/29 10:17:19  dobrek
- Really applied autofs-open_max.patch

Revision 1.27  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.26  2000/09/08 03:35:18  kloczek
- update to 4.0.0pre7 (release 24),
- merged RH patches,
- updated Source url.

Revision 1.25  2000/06/09 07:22:47  kloczek
- added using %{__make} macro.

Revision 1.24  2000/05/18 02:01:24  kloczek
- spec adapterized.

Revision 1.23  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.21  2000/03/28 08:13:11  kloczek
- spec adapterized.

Revision 1.20  2000/02/28 08:10:05  waszi
- support for autofs.sysconfig

Revision 1.19  2000/02/26 09:17:33  waszi
- updated to 4.0.0pre6

Revision 1.18  1999/09/11 13:32:45  misiek
- fixed requires (PR#28)

Revision 1.17  1999/08/05 21:12:09  kloczek
- release 6,
- fixed rc script with correct checking is network is up.

Revision 1.16  1999/07/17 18:53:23  kloczek
- in %post, %preun test if exist /var/lock/subsys/automount.

Revision 1.15  1999/07/17 18:39:34  kloczek
- stop serwice in %preun only when /var/lock/subsys/autofs exist,
- small cosmetic changes.

Revision 1.14  1999/07/16 14:28:34  baggins
- more macros

Revision 1.13  1999/07/12 23:05:53  kloczek
- added using CVS keywords in %changelog (for automating them).
